# norootforbuild

Name:           truecrypt
Version:        6.3
Release:        %mkrel 2
License:        TrueCrypt Collective License Version 1.3
Group:          MandrivaClub.nl
Url:            http://www.truecrypt.org
Source0:        TrueCrypt_%{version}_Source.tar.gz

Source10:      	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11.h
Source11:      	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11f.h
Source12:      	ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11t.h

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fuse-devel libwxgtk2.8-devel
BuildRequires:  libwxgtku2.8-devel
Requires:	wxgtk2.8
Requires:       fuse
Requires:	zenity
Summary:        Free open-source disk encryption software for Windows Vista/XP/2000 and Linux

%description
TrueCrypt is a software system for establishing and maintaining an on-the-fly-encrypted volume (data storage device).

On-the-fly encryption means that data is automatically encrypted or decrypted right before it is loaded or saved, without any user intervention.
No data stored on an encrypted volume can be read (decrypted) without using the correct password/keyfile(s) or correct encryption keys. 

Entire file system is encrypted (i.e., file names, folder names, contents of every file, and free space).

Authors:

--------
 - TrueCrypt Foundation
 - Paul Le Roux
 - Brian Gladman
 - Eric Young
 - Mark Adler
 - Markus Friedl

%prep
%setup -qn truecrypt-%{version}-source
# Prepare PKCS11 headers
%{__cp} %{SOURCE10} %{SOURCE11} %{SOURCE12} .


%build
%{__make} \
	TC_EXTRA_CFLAGS="${RPM_OPT_FLAGS}"   \
	TC_EXTRA_CXXFLAGS="${RPM_OPT_FLAGS}" \
	WX_CONFIG="%{_bindir}/wx-config"     \
	NOSTRIP=1 NOTEST=1 VERBOSE=1

%check
Main/%{name} --text --test


%install
%{__install} -Dm 0755 Main/truecrypt %{buildroot}%{_bindir}/%{name}
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}
%{__install} -Dm 0644 Release/Setup\ Files/* %{buildroot}%{_docdir}/%{name}
%{__install} -Dm 0644 Common/TrueCrypt.ico %{buildroot}%{_datadir}/icons/TrueCrypt.ico

### MENU ITEM ###
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=TrueCrypt
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/icons/TrueCrypt.ico
Terminal=false
Type=Application
StartupNotify=true
Categories=System
EOF

%post
zenity --info --text="On a non sudo-based distro.\nYou have too modify /etc/sudoers with\nusername ALL=(ALL) ALL"
%update_menus

%postun
%clean_menus

%clean
[[ %{buildroot} != "" && %{buildroot} != "/" ]] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/TrueCrypt.ico
%doc %{_docdir}/%{name}

%changelog
* Fri Nov 6 2009 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- New version 6.3 for Mandriva 2010.0

* Tue Apr 22 2008 Maurizio Dal Magro <dalmagro@scarlet.be>
- First build for Mandriva 2008.1
- Added menu-entry
